//
//  SBSDKOCRResultBlock.swift
//  scanbot_sdk
//
//  Created by Yevgeniy Knizhnik on 12.11.19.
//

import Foundation
import ScanbotSDK

extension SBSDKOCRResultBlock {
    var encodedDictionary: [String: Any?] {
        return ["text": self.text,
                "boundingBox": self.boundingBox.encodedDictionary,
                "confidenceValue": self.confidenceValue]
    }
    
    var encodedString: String? {
        return self.encodedDictionary.encodedString
    }
}
