//
//  SBSDKUILicensePlateScannerConfiguration.swift
//  image_picker
//
//  Created by Yevgeniy Knizhnik on 16.04.21.
//

import Foundation
import ScanbotSDK

extension SBSDKUILicensePlateScannerConfiguration {
    convenience init(from dictionary: [String: Any]) {
        let uiConfiguration  = SBSDKUILicensePlateScannerUIConfiguration(from: dictionary)
        let textConfiguration = SBSDKUILicensePlateScannerTextConfiguration(from: dictionary)
        let behaviorConfiguration = SBSDKUILicensePlateScannerBehaviorConfiguration(from: dictionary)
        let cameraConfiguration = SBSDKUICameraConfiguration(from: dictionary)
        self.init(uiConfiguration: uiConfiguration,
                  textConfiguration: textConfiguration,
                  behaviorConfiguration: behaviorConfiguration,
                  cameraConfiguration: cameraConfiguration)
    }
}
