//
//  SBSDKMedicalCertificateRecognizerDateResultType+JSON.swift
//  ScanbotSDKNativeWrapper
//
//  Created by Marco Saia on 26.09.22.
//
import Foundation
import ScanbotSDK

internal extension SBSDKMedicalCertificateRecognizerDateResultType {
    
    var stringName: String? {
        switch self {
        case .incapableOfWorkSince: return "DateRecordIncapableOfWorkSince"
        case .incapableOfWorkUntil: return "DateRecordIncapableOfWorkUntil"
        case .diagnosedOn: return "DateRecordDiagnosedOn"
        case .childNeedsCareFrom: return "DateRecordChildNeedsCareFrom"
        case .childNeedsCareUntil: return "DateRecordChildNeedsCareUntil"
        case .birthDate: return "DateRecordBirthDate"
        case .documentDate: return "DateRecordDocumentDate"
        case .undefined: return "unknown"
        @unknown default:
            return "unknown"
        }
    }
}
